"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Message = void 0;
const react_1 = __importDefault(require("react"));
const native_1 = __importDefault(require("@emotion/native"));
const Message = ({ color = 'base', title, children }) => {
    return (react_1.default.createElement(MessageContainer, { "aria-label": "message", color: color },
        title && react_1.default.createElement(MessageTitle, { color: color }, title),
        react_1.default.createElement(MessageText, null, children)));
};
exports.Message = Message;
const MessageContainer = native_1.default.View(({ theme, color }) => {
    return {
        backgroundColor: theme.palette[color].light,
        borderRadius: theme.rounded.sm,
        borderWidth: 1,
        borderColor: theme.palette[color].dark,
        padding: theme.spacing.md,
        minWidth: 200,
    };
});
const MessageTitle = native_1.default.Text(({ theme, color }) => {
    return {
        fontFamily: theme.fontFamily,
        fontSize: theme.fontSize.lg,
        color: theme.palette[color].dark,
        marginBottom: theme.spacing.sm,
    };
});
const MessageText = native_1.default.Text(({ theme }) => {
    return {
        fontFamily: theme.fontFamily,
        fontSize: theme.fontSize.md,
    };
});
