"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RadioItem = void 0;
const react_1 = __importDefault(require("react"));
const native_1 = __importDefault(require("@emotion/native"));
const react_2 = require("@emotion/react");
const lucide_react_native_1 = require("lucide-react-native");
const RadioItem = ({ value, disabled, selected, size = 'md', children, onChange, }) => {
    const theme = (0, react_2.useTheme)();
    return (react_1.default.createElement(RadioItemOption, { "aria-label": "radio-item", disabled: disabled, onPress: () => onChange === null || onChange === void 0 ? void 0 : onChange(value) },
        selected ? (react_1.default.createElement(lucide_react_native_1.CircleCheckIcon, { strokeWidth: 1, size: theme.fontSize[size] + theme.spacing.md, color: disabled
                ? theme.palette.text.disabled
                : selected
                    ? theme.palette.primary.dark
                    : theme.palette.text.main, fill: selected && theme.palette.primary.light })) : (react_1.default.createElement(lucide_react_native_1.CircleIcon, { strokeWidth: 1, size: theme.fontSize[size] + theme.spacing.md, color: disabled ? theme.palette.text.disabled : theme.palette.primary.main })),
        react_1.default.createElement(RadioItemName, { disabled: disabled, size: size }, children)));
};
exports.RadioItem = RadioItem;
const RadioItemOption = native_1.default.Pressable(() => {
    return {
        display: 'flex',
        flexDirection: 'row',
        alignItems: 'center',
        gap: 8,
    };
});
const RadioItemName = native_1.default.Text(({ theme, disabled, size }) => {
    return Object.assign({ fontFamily: theme.fontFamily, fontSize: theme.fontSize[size] }, (disabled && {
        color: theme.palette.text.disabled,
    }));
});
