"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatePicker = exports.DEFAULT_DATE_FORMAT = void 0;
const react_1 = __importStar(require("react"));
const react_2 = require("@emotion/react");
const date_fns_1 = require("date-fns");
const lucide_react_native_1 = require("lucide-react-native");
const react_native_1 = require("react-native");
const Calendar_1 = require("@procyon/components/Calendar");
const imask_1 = require("@procyon/utils/imask");
const TextField_1 = require("./TextField");
exports.DEFAULT_DATE_FORMAT = 'dd.MM.yyyy';
const DatePicker = (_a) => {
    var _b, _c;
    var { onChange, label, name } = _a, others = __rest(_a, ["onChange", "label", "name"]);
    const dateFormat = (_b = others.format) !== null && _b !== void 0 ? _b : exports.DEFAULT_DATE_FORMAT;
    const formatValue = (date) => {
        if (date)
            return (0, date_fns_1.format)(date, dateFormat);
        return undefined;
    };
    const theme = (0, react_2.useTheme)();
    const [value, setValue] = (0, react_1.useState)(formatValue(others.value));
    const [toggle, setToggle] = (0, react_1.useState)(false);
    const handleDateClick = (value) => {
        onChange === null || onChange === void 0 ? void 0 : onChange(value);
        setValue(formatValue(value));
        setToggle(false);
    };
    const mask = (_c = others.mask) !== null && _c !== void 0 ? _c : imask_1.IMask.createMask({
        mask: Date,
        pattern: exports.DEFAULT_DATE_FORMAT,
        blocks: {
            dd: {
                mask: imask_1.IMask.MaskedRange,
                from: 1,
                to: 31,
            },
            MM: {
                mask: imask_1.IMask.MaskedRange,
                from: 1,
                to: 12,
            },
            yyyy: {
                mask: imask_1.IMask.MaskedRange,
                from: 1900,
                to: 9999,
            },
        },
        parse: (value) => {
            return (0, date_fns_1.parse)(value, exports.DEFAULT_DATE_FORMAT, new Date());
        },
        format: (value) => {
            return (0, date_fns_1.format)(value, exports.DEFAULT_DATE_FORMAT);
        },
        autofix: true,
    });
    return (react_1.default.createElement(react_native_1.View, { style: { position: 'relative' } },
        react_1.default.createElement(TextField_1.TextField, Object.assign({ name: name, label: label, placeholder: dateFormat, LeftIcon: (props) => (react_1.default.createElement(react_native_1.View, { style: { cursor: 'pointer' } },
                react_1.default.createElement(lucide_react_native_1.CalendarFoldIcon, Object.assign({ onClick: () => setToggle(!toggle) }, props)))) }, others, { mask: mask, value: value !== null && value !== void 0 ? value : '', onChange: (value) => {
                if (mask.isComplete && !!onChange) {
                    onChange((0, date_fns_1.parse)(mask.value, dateFormat, new Date()));
                }
                setValue(value !== null && value !== void 0 ? value : undefined);
            } })),
        toggle && (react_1.default.createElement(react_native_1.View, { style: [
                {
                    position: 'absolute',
                    top: 65,
                    margin: theme.spacing.sm,
                    marginHorizontal: 0,
                    padding: theme.spacing.md,
                    borderColor: theme.palette.primary.main,
                    borderWidth: 1,
                    borderRadius: theme.rounded.md,
                },
            ] },
            react_1.default.createElement(Calendar_1.Calendar, { onClick: handleDateClick, value: others.value, selected: others.value })))));
};
exports.DatePicker = DatePicker;
