"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GridCol = void 0;
const react_1 = __importStar(require("react"));
const native_1 = __importDefault(require("@emotion/native"));
const context_1 = require("@procyon/components/Grid/context");
const mq_1 = require("@procyon/styles/mq");
const GridCol = ({ cols = { xs: 1 }, children, style }) => {
    const grid = (0, react_1.useContext)(context_1.GridContext);
    return (react_1.default.createElement(GridColContainer, { "aria-label": 'grid-col', cols: cols, gridCols: grid.cols, style: [style] }, children));
};
exports.GridCol = GridCol;
const GridColContainer = native_1.default.View(({ theme, cols, gridCols }) => {
    const getSize = (br, s) => {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q;
        switch (br) {
            case 'xl':
                return (_e = (_d = (_c = (_b = (_a = s['xl']) !== null && _a !== void 0 ? _a : s['lg']) !== null && _b !== void 0 ? _b : s['md']) !== null && _c !== void 0 ? _c : s['sm']) !== null && _d !== void 0 ? _d : s['xs']) !== null && _e !== void 0 ? _e : 1;
            case 'lg':
                return (_j = (_h = (_g = (_f = s['lg']) !== null && _f !== void 0 ? _f : s['md']) !== null && _g !== void 0 ? _g : s['sm']) !== null && _h !== void 0 ? _h : s['xs']) !== null && _j !== void 0 ? _j : 1;
            case 'md':
                return (_m = (_l = (_k = s['md']) !== null && _k !== void 0 ? _k : s['sm']) !== null && _l !== void 0 ? _l : s['xs']) !== null && _m !== void 0 ? _m : 1;
            case 'sm':
                return (_p = (_o = s['sm']) !== null && _o !== void 0 ? _o : s['xs']) !== null && _p !== void 0 ? _p : 1;
            case 'xs':
                return (_q = s['xs']) !== null && _q !== void 0 ? _q : 1;
        }
    };
    const br = (0, mq_1.mQ)(theme);
    return Object.assign(Object.assign(Object.assign(Object.assign(Object.assign({}, br.xs({
        flex: (100 / getSize('xs', gridCols)) * getSize('xs', cols),
    })), br.sm({
        flex: (100 / getSize('sm', gridCols)) * getSize('sm', cols),
    })), br.md({
        flex: (100 / getSize('md', gridCols)) * getSize('md', cols),
    })), br.lg({
        flex: (100 / getSize('lg', gridCols)) * getSize('lg', cols),
    })), br.xl({
        flex: (100 / getSize('xl', gridCols)) * getSize('xl', cols),
    }));
});
