"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Selectbox = void 0;
const react_1 = __importStar(require("react"));
const native_1 = __importDefault(require("@emotion/native"));
const lucide_react_native_1 = require("lucide-react-native");
const react_native_1 = require("react-native");
const List_1 = require("@procyon/components/List");
const ListItem_1 = require("@procyon/components/ListItem");
const TextField_1 = require("./TextField");
const findPreSelectedItems = (children, initValue) => {
    return react_1.Children.map(react_1.Children.toArray(children), (child) => {
        const elementChild = child;
        if ((0, react_1.isValidElement)(elementChild)) {
            if (elementChild.type === ListItem_1.ListItem && elementChild.props.value === initValue) {
                return elementChild.props.children;
            }
        }
        return null;
    });
};
const Selectbox = (props) => {
    var _a, _b, _c, _d;
    const { value, onChange, label, children, message } = props, others = __rest(props, ["value", "onChange", "label", "children", "message"]);
    const [toggle, setToggle] = (0, react_1.useState)(false);
    const [renderValue, setRenderValue] = (0, react_1.useState)(null);
    const handleClick = (value, renderValue) => {
        setRenderValue(renderValue);
        onChange === null || onChange === void 0 ? void 0 : onChange(value);
        setToggle(false);
    };
    (0, react_1.useEffect)(() => {
        if (value) {
            setRenderValue(findPreSelectedItems(children, value));
        }
    }, []);
    return (react_1.default.createElement(react_native_1.View, { style: { position: 'relative' } },
        react_1.default.createElement(TextField_1.TextField, Object.assign({}, others, { style: Object.assign(Object.assign({}, ((_b = (_a = props.style) === null || _a === void 0 ? void 0 : _a.input) !== null && _b !== void 0 ? _b : {})), { input: [] }), label: label, Input: (props) => {
                var _a;
                return typeof renderValue === 'string' ? (react_1.default.createElement(FieldText, Object.assign({}, props, { style: [(_a = props.style) === null || _a === void 0 ? void 0 : _a.input] }), renderValue)) : (renderValue !== null && renderValue !== void 0 ? renderValue : react_1.default.createElement(react_native_1.View, null));
            }, message: message, onClick: () => setToggle(!toggle), RightIcon: (props) => (react_1.default.createElement(react_native_1.Pressable, { onPressIn: () => setToggle(!toggle), style: [react_native_1.Platform.OS === 'web' && { cursor: 'pointer' }] },
                react_1.default.createElement(lucide_react_native_1.ChevronDownIcon, Object.assign({}, props)))) })),
        toggle && (react_1.default.createElement(List_1.List, Object.assign({}, others, { selected: value, onClick: handleClick, style: {
                container: [
                    {
                        position: 'absolute',
                        top: 65,
                        width: '100%',
                        marginHorizontal: 0,
                    },
                    (_d = (_c = props.style) === null || _c === void 0 ? void 0 : _c.list) === null || _d === void 0 ? void 0 : _d.container,
                ],
            } }), children))));
};
exports.Selectbox = Selectbox;
const FieldText = native_1.default.Text(({ theme, size }) => {
    return Object.assign(Object.assign({}, (react_native_1.Platform.OS === 'web' && { cursor: 'pointer' })), { color: theme.palette.text.main, fontFamily: theme.fontFamily, fontSize: theme.fontSize[size] });
});
